# osgunittests.cpp File Reference

`#include <osg/UnitTestFramework>`
`#include <osg/ArgumentParser>`
`#include <osg/ApplicationUsage>`
`#include <osg/Vec3>`
`#include <osg/Matrix>`
`#include <iostream>`

Include dependency graph for osgunittests.cpp:

## Functions

void | testFrustum (double left, double right, double bottom, double top, double zNear, double zFar)
void | testOrtho (double left, double right, double bottom, double top, double zNear, double zFar)
void | testPerspective (double fovy, double aspect, double zNear, double zFar)
void | testLookAt (const osg::Vec3 &eye, const osg::Vec3 &center, const osg::Vec3 &up)
void | sizeOfTest ()
void | testQuat ()
int | main (int argc, char **argv)

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |

void sizeOfTest | ( |  | ) |

void testFrustum | ( | double | left,
|  | double | right,
|  | double | bottom,
|  | double | top,
|  | double | zNear,
|  | double | zFar
| ) |

void testLookAt | ( | const osg::Vec3 & | eye,
|  | const osg::Vec3 & | center,
|  | const osg::Vec3 & | up
| ) |

void testOrtho | ( | double | left,
|  | double | right,
|  | double | bottom,
|  | double | top,
|  | double | zNear,
|  | double | zFar
| ) |

void testPerspective | ( | double | fovy,
|  | double | aspect,
|  | double | zNear,
|  | double | zFar
| ) |

void testQuat | ( |  | ) |